## r-bioc-lpsymphony 1.12.0+dfsg

=== DESCRIPTION ===
Package: lpsymphony
Title: Symphony integer linear programming solver in R
Version: 1.12.0
Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
             person("Ted", "Ralphs",        role = "ctb", email = "ted@lehigh.edu"),
             person("Menal", "Guzelsoy",    role = "ctb", email = "mguzelsoy@lehigh.edu"),
             person("Ashutosh", "Mahajan",  role = "ctb", email = "amahajan@iitb.ac.in"),
	     person("Reinhard", "Harter",   role = "ctb", email = "reinhard.harter@gmail.com"),
             person("Kurt", "Hornik",       role = "ctb", email = "Kurt.Hornik@R-project.org"),
             person("Cyrille", "Szymanski", role = "ctb", email = "cnszym@gmail.com"),
             person("Stefan","Theussl",     role = "ctb", email = "stefan.theussl@wu.ac.at"))
Author: Vladislav Kim [aut, cre],
  Ted Ralphs [ctb],
  Menal Guzelsoy [ctb],
  Ashutosh Mahajan [ctb],
  Reinhard Harter [ctb],
  Kurt Hornik [ctb],
  Cyrille Szymanski [ctb],
  Stefan Theussl [ctb]
License: EPL
Depends: R (>= 3.0.0)
Enhances: slam
Suggests: BiocStyle, knitr
URL: http://R-Forge.R-project.org/projects/rsymphony,
        https://projects.coin-or.org/SYMPHONY,
        http://www.coin-or.org/download/source/SYMPHONY/
biocViews: Infrastructure, ThirdPartyClient
VignetteBuilder: knitr
NeedsCompilation: yes
Repository: Bioconductor
git_url: https://git.bioconductor.org/packages/lpsymphony
git_branch: RELEASE_3_9
git_last_commit: 9a95365
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
Packaged: 2019-05-03 01:55:37 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.12.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931494)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jul 2019 15:03:08 +0200

=== debian/control ===
Source: r-bioc-lpsymphony
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
# <dh-update-R>do not delete this</dh-update-R>
               coinor-libsymphony-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
Homepage: https://bioconductor.org/packages/lpsymphony/

Package: r-bioc-lpsymphony
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Symphony integer linear programming solver in GNU R
 This package was derived from Rsymphony_0.1-17 from CRAN. These packages
 provide an R interface to SYMPHONY, an open-source linear programming
 solver written in C++. The main difference between this package and
 Rsymphony is that it includes the solver source code (SYMPHONY version
 5.6), while Rsymphony expects to find header and library files on the
 users' system. Thus the intention of lpsymphony is to provide an easy to
 install interface to SYMPHONY.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/lpsymphony.html .*/lpsymphony_(.*).tar.gz

## r-bioc-lpsymphony 1.14.0%2Bdfsg

=== debian/changelog ===
r-bioc-lpsymphony (1.14.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:33 +0100

r-bioc-lpsymphony (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 10 Nov 2019 17:15:04 +0100

## r-bioc-lpsymphony 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.12.0
+Version: 1.14.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -31,8 +31,8 @@
 NeedsCompilation: yes
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_9
-git_last_commit: 9a95365
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
-Packaged: 2019-05-03 01:55:37 UTC; biocbuild
+git_branch: RELEASE_3_10
+git_last_commit: f4fe270
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
+Packaged: 2019-10-30 01:53:25 UTC; biocbuild

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-# <dh-update-R>do not delete this</dh-update-R>
                coinor-libsymphony-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
 Homepage: https://bioconductor.org/packages/lpsymphony/

## r-bioc-lpsymphony 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.14.0
+Version: 1.16.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -22,17 +22,18 @@
 License: EPL
 Depends: R (>= 3.0.0)
 Enhances: slam
-Suggests: BiocStyle, knitr
+Suggests: BiocStyle, knitr, testthat
 URL: http://R-Forge.R-project.org/projects/rsymphony,
         https://projects.coin-or.org/SYMPHONY,
         http://www.coin-or.org/download/source/SYMPHONY/
 biocViews: Infrastructure, ThirdPartyClient
 VignetteBuilder: knitr
 NeedsCompilation: yes
+SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_10
-git_last_commit: f4fe270
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
-Packaged: 2019-10-30 01:53:25 UTC; biocbuild
+git_branch: RELEASE_3_11
+git_last_commit: 7ecbfff
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
+Packaged: 2020-04-28 02:16:23 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.16.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:44:06 +0000

r-bioc-lpsymphony (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 22:40:18 +0200

r-bioc-lpsymphony (1.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtest.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Mar 2020 19:00:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-r,
                r-base-dev,
                coinor-libsymphony-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
 Homepage: https://bioconductor.org/packages/lpsymphony/
+Rules-Requires-Root: no
 
 Package: r-bioc-lpsymphony
 Architecture: any

## r-bioc-lpsymphony 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.16.0
+Version: 1.18.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -32,8 +32,8 @@
 SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_11
-git_last_commit: 7ecbfff
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 02:16:23 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: e36fafe
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-28 01:25:53 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 10:39:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                coinor-libsymphony-dev

## r-bioc-lpsymphony 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.18.0
+Version: 1.22.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -32,8 +32,8 @@
 SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_12
-git_last_commit: e36fafe
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-28 01:25:53 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: 49017bb
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 21:55:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 11:04:05 +0100

r-bioc-lpsymphony (1.20.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Added d/u/metadata and d/README.source
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

  [ Andreas Tille ]
  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 21:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                coinor-libsymphony-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
 Homepage: https://bioconductor.org/packages/lpsymphony/

## r-bioc-lpsymphony 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.22.0
+Version: 1.24.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -32,8 +32,8 @@
 SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_14
-git_last_commit: 49017bb
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 21:55:40 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: a9f9553
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 21:09:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 13:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-bioc-lpsymphony
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
+Homepage: https://bioconductor.org/packages/lpsymphony/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                coinor-libsymphony-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
-Homepage: https://bioconductor.org/packages/lpsymphony/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-lpsymphony
 Architecture: any

## r-bioc-lpsymphony 1.26.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.24.0
+Version: 1.26.3
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -32,8 +32,8 @@
 SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_15
-git_last_commit: a9f9553
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 21:09:36 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 0bda503
+git_last_commit_date: 2023-01-19
+Date/Publication: 2023-01-19
+Packaged: 2023-01-19 22:05:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.26.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 14:56:31 +0100

r-bioc-lpsymphony (1.26.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:05:52 +0100

r-bioc-lpsymphony (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:13:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
 Homepage: https://bioconductor.org/packages/lpsymphony/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-lpsymphony 1.28.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.26.3
+Version: 1.28.1
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -32,8 +32,8 @@
 SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_16
-git_last_commit: 0bda503
-git_last_commit_date: 2023-01-19
-Date/Publication: 2023-01-19
-Packaged: 2023-01-19 22:05:32 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 9b1463c
+git_last_commit_date: 2023-06-06
+Date/Publication: 2023-06-06
+Packaged: 2023-06-06 21:24:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.28.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:22:08 +0200

## r-bioc-lpsymphony 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.28.1
+Version: 1.30.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -32,8 +32,8 @@
 SystemRequirements: GNU make
 Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_17
-git_last_commit: 9b1463c
-git_last_commit_date: 2023-06-06
-Date/Publication: 2023-06-06
-Packaged: 2023-06-06 21:24:26 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 9925803
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 21:51:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 21:02:47 +0100

## r-bioc-lpsymphony 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lpsymphony
 Title: Symphony integer linear programming solver in R
-Version: 1.30.0
+Version: 1.32.0
 Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
 Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
 Authors@R: c(person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
@@ -30,10 +30,10 @@
 VignetteBuilder: knitr
 NeedsCompilation: yes
 SystemRequirements: GNU make
-Repository: Bioconductor
 git_url: https://git.bioconductor.org/packages/lpsymphony
-git_branch: RELEASE_3_18
-git_last_commit: 9925803
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 21:51:34 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 1fd208b
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 04:31:39 UTC; biocbuild

=== debian/changelog ===
r-bioc-lpsymphony (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:38:46 +0200

r-bioc-lpsymphony (1.32.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:22:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               coinor-libsymphony-dev
+               coinor-libsymphony-dev,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-lpsymphony

## r-bioc-lpsymphony 1.34.0%2Bdfsg

=== DESCRIPTION ===
Package: lpsymphony
Title: Symphony integer linear programming solver in R
Version: 1.34.0
Description: This package was derived from Rsymphony_0.1-17 from CRAN. These packages provide an R interface to SYMPHONY, an open-source linear programming solver written in C++. The main difference between this package and Rsymphony is that it includes the solver source code (SYMPHONY version 5.6), while Rsymphony expects to find header and library files on the users' system. Thus the intention of lpsymphony is to provide an easy to install interface to SYMPHONY. For Windows, precompiled DLLs are included in this package.
Maintainer: Vladislav Kim <Vladislav.Kim@embl.de>
Authors@R: c(
  person("Vladislav", "Kim",     role = c("aut", "cre"), email = "Vladislav.Kim@embl.de"),
  person("Ted", "Ralphs",        role = "ctb", email = "ted@lehigh.edu"),
  person("Menal", "Guzelsoy",    role = "ctb", email = "mguzelsoy@lehigh.edu"),
  person("Ashutosh", "Mahajan",  role = "ctb", email = "amahajan@iitb.ac.in"),
	person("Reinhard", "Harter",   role = "ctb", email = "reinhard.harter@gmail.com"),
  person("Kurt", "Hornik",       role = "ctb", email = "Kurt.Hornik@R-project.org"),
  person("Cyrille", "Szymanski", role = "ctb", email = "cnszym@gmail.com"),
  person("Stefan","Theussl",     role = "ctb", email = "stefan.theussl@wu.ac.at"),
  person("Mike","Smith",         role = "ctb", email = "grimbough@gmail.com", comment = c(ORCID = "0000-0002-7800-3848")))
License: EPL
Depends: R (>= 3.0.0)
Enhances: slam
Suggests: BiocStyle, knitr, testthat
URL: http://R-Forge.R-project.org/projects/rsymphony,
        https://projects.coin-or.org/SYMPHONY,
        http://www.coin-or.org/download/source/SYMPHONY/
BugReports: https://github.com/Huber-group-EMBL/lpsymphony/issues
biocViews: Infrastructure, ThirdPartyClient
VignetteBuilder: knitr
NeedsCompilation: yes
SystemRequirements: GNU make
git_url: https://git.bioconductor.org/packages/lpsymphony
git_branch: RELEASE_3_20
git_last_commit: 47b75db
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
Packaged: 2024-10-30 01:30:04 UTC; biocbuild
Author: Vladislav Kim [aut, cre],
  Ted Ralphs [ctb],
  Menal Guzelsoy [ctb],
  Ashutosh Mahajan [ctb],
  Reinhard Harter [ctb],
  Kurt Hornik [ctb],
  Cyrille Szymanski [ctb],
  Stefan Theussl [ctb],
  Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>)

## r-bioc-lpsymphony 1.34.0+dfsg

=== debian/changelog ===
r-bioc-lpsymphony (1.34.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)
  * Build against coinor-symphony 5.7.2 or higher, closes: #1101251.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Apr 2025 09:37:56 +0900

r-bioc-lpsymphony (1.34.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:51:38 +0100

r-bioc-lpsymphony (1.34.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 10:21:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-lpsymphony.git
 Homepage: https://bioconductor.org/packages/lpsymphony/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               coinor-libsymphony-dev,
+               coinor-libsymphony-dev (>= 5.7.2~),
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/lpsymphony.html .*/lpsymphony_(.*).tar.gz
